Package org.apache.wiki.tags

# Class UserCheckTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.wiki.tags.WikiTagBase
org.apache.wiki.tags.UserCheckTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

public class UserCheckTag extends WikiTagBase
Includes the content if an user check validates. This has been considerably enhanced for 2.2. The possibilities for the "status"-argument are:

- "anonymous" - the body of the tag is included if the user is completely unknown (no cookie, no password)
- "asserted" - the body of the tag is included if the user has either been named by a cookie, but not been authenticated.
- "authenticated" - the body of the tag is included if the user is validated either through the container, or by our own authentication.
- "assertionsAllowed" - the body of the tag is included if wiki allows identities to be asserted using cookies.
- "assertionsNotAllowed" - the body of the tag is included if wiki does not allow identities to be asserted using cookies.
- "containerAuth" - the body of the tag is included if the user is validated through the container.
- "customAuth" - the body of the tag is included if the user is validated through our own authentication.
- "known" - if the user is not anonymous
- "notAuthenticated" - the body of the tag is included if the user is not yet authenticated.

If the old "exists" -argument is used, it corresponds as follows:

`exists="true" ==> status="known"
`exists="false" ==> status="unknown"
``

It is NOT a good idea to use BOTH of the arguments.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`UserCheckTag()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`doWikiStartTag()`
This method is allowed to do pretty much whatever he wants.
`String`
`getStatus()`
Get the status as defined above.
`void`
`initTag()`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void`
`setStatus(String status)`
Sets the status as defined above.

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserCheckTag

public UserCheckTag()

## Method Details

### initTag

public void initTag()
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

### getStatus

public String getStatus()
Get the status as defined above.

Returns:
  The status to be checked.

### setStatus

public void setStatus(String status)
Sets the status as defined above.

Parameters:
  `status` - The status to be checked.

### doWikiStartTag

public final int doWikiStartTag()
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
See Also:
  - `WikiTagBase.doWikiStartTag()`